petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHMapTQuerySet

Query and set a (key,value) entry in the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTQuerySet(PetscHMapT ht,KeyType key,ValType val,PetscBool *missing)

### Input Parameters

| ht | - The hash table
| key | - The key
| val | - The value

### Output Parameter

missing -Boolean indicating whether the key was missing

### Keywords

hash table, map, query, set

### See Also

PetscHMapTQueryDel(), PetscHMapTSet()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages